.abstractTable {
  .tr {
    display: grid;
    grid-template-columns: 1fr 1.2fr 1.5fr;

    .th, .td {
      display: flex;
      align-items: center;
      padding: 0.5rem 1rem;
      &:first-of-type {
        padding-left: 1.25rem;
      }
      &:last-of-type {
        padding-right: 1.25rem;
      }
    }

  }

  .thead {
    display: block;
    height: 2.75rem;
    font-size: 0.75rem;
    font-weight: var(--font-weight-bold);
    border-bottom: 1px solid var(--border-color-main);
    .tr {
      height: 100%;
    }

    .table-button-sorting {
      display: flex;
      align-items: flex-start;
      width: auto;
      padding: 0;
      margin: 0;
      font: inherit;
      color: inherit;
      white-space: nowrap;
      text-align: inherit;
      border: none;
      outline: none;
      box-shadow: none;
      background: none;
      cursor: pointer;

      > span {
        display: block;
        width: max-content;
      }

      .svg {
        display: block;
        flex-shrink: 0;
        margin-left: 0.25rem;
        margin-top: 0.25rem;
      }

      .svg-sorting {
        display: none;
      }

      &.-sorting-up {
        .svg-sorting {
          display: block;
          transform: rotate(180deg);
        }
        .svg-no-sorting {
          display: none;
        }
      }

      &.-sorting-down {
        .svg-sorting {
          display: block;
        }
        .svg-no-sorting {
          display: none;
        }
      }
    }
  }

  .tbody {
    height: auto;
    max-height: 25rem;
    overflow-y: auto;
    .tr {
      font-size: 0.875rem;
      color: var(--color-main);
      &:hover {
        background-color: var(--bg-lightest);
      }
    }
  }

  @media screen and (max-width: 980px) {
    .thead {
      height: auto;
      font-weight: var(--font-weight-medium);
      border-bottom: none;

      .table-button-sorting .svg {
        margin-top: 0.375rem;
      }
    }

    .tbody .tr,
    .thead .tr {
      font-size: 1rem;
      border-bottom: 1px solid var(--border-color-main);

      .th, .td {
        align-items: flex-start;
        padding: 1.25rem 0.5rem;

        &:first-of-type {
          padding-left: 1.25rem;
        }

        &:last-of-type {
          padding-right: 1.25rem;
        }
      }
    }
  }
}